org.fourthline.cling.support.renderingcontrol.lastchange

## Class EventedValueChannelVolume

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<ChannelVolume>
  - - org.fourthline.cling.support.renderingcontrol.lastchange.EventedValueChannelVolume

- Direct Known Subclasses:
    RenderingControlVariable.Volume

      public class EventedValueChannelVolume
      extends EventedValue<ChannelVolume>

  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventedValueChannelVolume(ChannelVolume value)`
    `EventedValueChannelVolume(Map.Entry<String,String>[] attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map.Entry<String,String>[]` | `getAttributes()`
    `protected Datatype` | `getDatatype()`
    `String` | `toString()`
    `protected ChannelVolume` | `valueOf(Map.Entry<String,String>[] attributes)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventedValueChannelVolume

          public EventedValueChannelVolume(ChannelVolume value)

    - #### EventedValueChannelVolume

          public EventedValueChannelVolume(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### valueOf

          protected ChannelVolume valueOf(Map.Entry<String,String>[] attributes)
                                   throws InvalidValueException

      Overrides:
        `valueOf` in class `EventedValue<ChannelVolume>`
      Throws:
        `InvalidValueException`

    - #### getAttributes

          public Map.Entry<String,String>[] getAttributes()

      Overrides:
        `getAttributes` in class `EventedValue<ChannelVolume>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventedValue<ChannelVolume>`

    - #### getDatatype

          protected Datatype getDatatype()

      Specified by:
        `getDatatype` in class `EventedValue<ChannelVolume>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.